// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		5DC621F821BAC29B00D72495 /* flow-main.js in Resources */ = {isa = PBXBuildFile; fileRef = 5DC621EC21BAC29A00D72495 /* flow-main.js */; };
		5DC621F921BAC29B00D72495 /* flow-node.js in Resources */ = {isa = PBXBuildFile; fileRef = 5DC621ED21BAC29A00D72495 /* flow-node.js */; };
		5DC621FA21BAC29B00D72495 /* flow-ui.js in Resources */ = {isa = PBXBuildFile; fileRef = 5DC621EE21BAC29A00D72495 /* flow-ui.js */; };
		5DC621FC21BAC29B00D72495 /* flow-widget.js in Resources */ = {isa = PBXBuildFile; fileRef = 5DC621F021BAC29A00D72495 /* flow-widget.js */; };
		5DC621FD21BAC29B00D72495 /* index.html in Resources */ = {isa = PBXBuildFile; fileRef = 5DC621F121BAC29B00D72495 /* index.html */; };
		5DC621FE21BAC29B00D72495 /* flow-types.js in Resources */ = {isa = PBXBuildFile; fileRef = 5DC621F221BAC29B00D72495 /* flow-types.js */; };
		5DC621FF21BAC29B00D72495 /* flow-wire.js in Resources */ = {isa = PBXBuildFile; fileRef = 5DC621F321BAC29B00D72495 /* flow-wire.js */; };
		5DC6220221BAC29B00D72495 /* flow.css in Resources */ = {isa = PBXBuildFile; fileRef = 5DC621F621BAC29B00D72495 /* flow.css */; };
		5DC6220C21BAC73700D72495 /* GraphViewController.m in Sources */ = {isa = PBXBuildFile; fileRef = 5DC6220B21BAC73700D72495 /* GraphViewController.m */; };
		62046790220EBFB200A6438C /* SobelFieldFilter.m in Sources */ = {isa = PBXBuildFile; fileRef = 6204678F220EBFB200A6438C /* SobelFieldFilter.m */; };
		62046792220EBFCB00A6438C /* SobelFieldFilter.metal in Sources */ = {isa = PBXBuildFile; fileRef = 62046791220EBFCB00A6438C /* SobelFieldFilter.metal */; };
		62046796220EC8E100A6438C /* NormalBlurFilter.m in Sources */ = {isa = PBXBuildFile; fileRef = 62046795220EC8E100A6438C /* NormalBlurFilter.m */; };
		62046799220EC8F900A6438C /* TangentBlurFilter.m in Sources */ = {isa = PBXBuildFile; fileRef = 62046798220EC8F900A6438C /* TangentBlurFilter.m */; };
		6204679B220EC9C400A6438C /* NormalBlurFilter.metal in Sources */ = {isa = PBXBuildFile; fileRef = 6204679A220EC9C400A6438C /* NormalBlurFilter.metal */; };
		6204679E220EC9ED00A6438C /* TangentBlurFilter.metal in Sources */ = {isa = PBXBuildFile; fileRef = 6204679D220EC9ED00A6438C /* TangentBlurFilter.metal */; };
		62405E3421E7D054008E706D /* GraphNode.m in Sources */ = {isa = PBXBuildFile; fileRef = 62405E3321E7D054008E706D /* GraphNode.m */; };
		62405E3721E7DA9D008E706D /* ResultGraphNode.m in Sources */ = {isa = PBXBuildFile; fileRef = 62405E3621E7DA9D008E706D /* ResultGraphNode.m */; };
		62405E3D21E9E92E008E706D /* TextureEffectFabric.m in Sources */ = {isa = PBXBuildFile; fileRef = 62405E3C21E9E92E008E706D /* TextureEffectFabric.m */; };
		62405E4221EA0E91008E706D /* AlphaBlendMixer.m in Sources */ = {isa = PBXBuildFile; fileRef = 62405E4121EA0E91008E706D /* AlphaBlendMixer.m */; };
		62405E4521EA0F06008E706D /* AlphaBlendMixer.metal in Sources */ = {isa = PBXBuildFile; fileRef = 62405E4421EA0F06008E706D /* AlphaBlendMixer.metal */; };
		62405E4821EA385E008E706D /* TransformGraphNode.m in Sources */ = {isa = PBXBuildFile; fileRef = 62405E4721EA385E008E706D /* TransformGraphNode.m */; };
		62405E4B21EA72A8008E706D /* SliderGraphNode.m in Sources */ = {isa = PBXBuildFile; fileRef = 62405E4A21EA72A8008E706D /* SliderGraphNode.m */; };
		624A9F23220F59CB003384C2 /* GradientGenerator.m in Sources */ = {isa = PBXBuildFile; fileRef = 624A9F22220F59CB003384C2 /* GradientGenerator.m */; };
		624A9F25220F5A54003384C2 /* GradientGenerator.metal in Sources */ = {isa = PBXBuildFile; fileRef = 624A9F24220F5A54003384C2 /* GradientGenerator.metal */; };
		624A9F29220F5F3F003384C2 /* xDoGFilter.m in Sources */ = {isa = PBXBuildFile; fileRef = 624A9F28220F5F3F003384C2 /* xDoGFilter.m */; };
		624A9F2B220F5F56003384C2 /* xDoGFilter.metal in Sources */ = {isa = PBXBuildFile; fileRef = 624A9F2A220F5F56003384C2 /* xDoGFilter.metal */; };
		624A9F2F220F654E003384C2 /* GrayscaleAdjustment.m in Sources */ = {isa = PBXBuildFile; fileRef = 624A9F2E220F654E003384C2 /* GrayscaleAdjustment.m */; };
		624A9F31220F6563003384C2 /* GrayscaleAdjustment.metal in Sources */ = {isa = PBXBuildFile; fileRef = 624A9F30220F6563003384C2 /* GrayscaleAdjustment.metal */; };
		624A9F34220F66D5003384C2 /* ImageGraphNode.m in Sources */ = {isa = PBXBuildFile; fileRef = 624A9F33220F66D5003384C2 /* ImageGraphNode.m */; };
		626C83232221C1DE005E02B2 /* LoopNode.m in Sources */ = {isa = PBXBuildFile; fileRef = 626C83222221C1DE005E02B2 /* LoopNode.m */; };
		627D5E3721ABCB8600D65C9D /* TextureEffect.m in Sources */ = {isa = PBXBuildFile; fileRef = 627D5E3621ABCB8600D65C9D /* TextureEffect.m */; };
		627D5E3921ABD68300D65C9D /* TextureEffect.metal in Sources */ = {isa = PBXBuildFile; fileRef = 627D5E3821ABD68300D65C9D /* TextureEffect.metal */; };
		627D5E3B21ABD6B300D65C9D /* TECommon.metal in Sources */ = {isa = PBXBuildFile; fileRef = 627D5E3A21ABD6B300D65C9D /* TECommon.metal */; };
		627D5E6521ACA46A00D65C9D /* ChessboardGenerator.m in Sources */ = {isa = PBXBuildFile; fileRef = 627D5E6421ACA46A00D65C9D /* ChessboardGenerator.m */; };
		627D5E6721ACA47E00D65C9D /* ChessboardGenerator.metal in Sources */ = {isa = PBXBuildFile; fileRef = 627D5E6621ACA47E00D65C9D /* ChessboardGenerator.metal */; };
		627D5E6F21ACBE0400D65C9D /* ContrastAdjustment.m in Sources */ = {isa = PBXBuildFile; fileRef = 627D5E6E21ACBE0400D65C9D /* ContrastAdjustment.m */; };
		627D5E7121ACBE2400D65C9D /* ContrastAdjustment.metal in Sources */ = {isa = PBXBuildFile; fileRef = 627D5E7021ACBE2400D65C9D /* ContrastAdjustment.metal */; };
		627D5E7621ACCA8600D65C9D /* BevelFilter.m in Sources */ = {isa = PBXBuildFile; fileRef = 627D5E7521ACCA8600D65C9D /* BevelFilter.m */; };
		627D5E7821ACCB4600D65C9D /* BevelFilter.metal in Sources */ = {isa = PBXBuildFile; fileRef = 627D5E7721ACCB4600D65C9D /* BevelFilter.metal */; };
		627D5E7C21ACD0B000D65C9D /* ValueNoiseGenerator.m in Sources */ = {isa = PBXBuildFile; fileRef = 627D5E7B21ACD0B000D65C9D /* ValueNoiseGenerator.m */; };
		627D5E7E21ACD0DC00D65C9D /* ValueNoiseGenerator.metal in Sources */ = {isa = PBXBuildFile; fileRef = 627D5E7D21ACD0DC00D65C9D /* ValueNoiseGenerator.metal */; };
		627D5E8B21ADF5B200D65C9D /* WhiteNoiseGenerator.m in Sources */ = {isa = PBXBuildFile; fileRef = 627D5E8A21ADF5B200D65C9D /* WhiteNoiseGenerator.m */; };
		627D5E8D21ADF5BC00D65C9D /* WhiteNoiseGenerator.metal in Sources */ = {isa = PBXBuildFile; fileRef = 627D5E8C21ADF5BC00D65C9D /* WhiteNoiseGenerator.metal */; };
		627D5E9121ADF83000D65C9D /* MazeGenerator.m in Sources */ = {isa = PBXBuildFile; fileRef = 627D5E9021ADF83000D65C9D /* MazeGenerator.m */; };
		627D5E9321ADF83A00D65C9D /* MazeGenerator.metal in Sources */ = {isa = PBXBuildFile; fileRef = 627D5E9221ADF83A00D65C9D /* MazeGenerator.metal */; };
		627D5E9721ADF9C700D65C9D /* SplattersGenerator.m in Sources */ = {isa = PBXBuildFile; fileRef = 627D5E9621ADF9C700D65C9D /* SplattersGenerator.m */; };
		627D5E9921ADF9D000D65C9D /* SplattersGenerator.metal in Sources */ = {isa = PBXBuildFile; fileRef = 627D5E9821ADF9D000D65C9D /* SplattersGenerator.metal */; };
		627D5E9D21ADFB9D00D65C9D /* TriangleNoiseGenerator.m in Sources */ = {isa = PBXBuildFile; fileRef = 627D5E9C21ADFB9D00D65C9D /* TriangleNoiseGenerator.m */; };
		627D5EA021ADFBC400D65C9D /* TriangleNoiseGenerator.metal in Sources */ = {isa = PBXBuildFile; fileRef = 627D5E9F21ADFBC400D65C9D /* TriangleNoiseGenerator.metal */; };
		627D5EA321ADFF0800D65C9D /* PerlinVolumeNoiseGenerator.m in Sources */ = {isa = PBXBuildFile; fileRef = 627D5EA221ADFF0800D65C9D /* PerlinVolumeNoiseGenerator.m */; };
		627D5EA521ADFF1000D65C9D /* PerlinVolumeNoiseGenerator.metal in Sources */ = {isa = PBXBuildFile; fileRef = 627D5EA421ADFF1000D65C9D /* PerlinVolumeNoiseGenerator.metal */; };
		627D5EA921AE074100D65C9D /* SimplexNoiseGenerator.m in Sources */ = {isa = PBXBuildFile; fileRef = 627D5EA821AE074100D65C9D /* SimplexNoiseGenerator.m */; };
		627D5EAB21AE074A00D65C9D /* SimplexNoiseGenerator.metal in Sources */ = {isa = PBXBuildFile; fileRef = 627D5EAA21AE074A00D65C9D /* SimplexNoiseGenerator.metal */; };
		627D5EAF21AE09BB00D65C9D /* PerlinSimplexNoiseGenerator.m in Sources */ = {isa = PBXBuildFile; fileRef = 627D5EAE21AE09BB00D65C9D /* PerlinSimplexNoiseGenerator.m */; };
		627D5EB121AE09C600D65C9D /* PerlinSimplexNoiseGenerator.metal in Sources */ = {isa = PBXBuildFile; fileRef = 627D5EB021AE09C600D65C9D /* PerlinSimplexNoiseGenerator.metal */; };
		627D5EBB21AE0C5E00D65C9D /* ValueGenerator.m in Sources */ = {isa = PBXBuildFile; fileRef = 627D5EBA21AE0C5E00D65C9D /* ValueGenerator.m */; };
		627D5EBD21AE0C6D00D65C9D /* ValueGenerator.metal in Sources */ = {isa = PBXBuildFile; fileRef = 627D5EBC21AE0C6D00D65C9D /* ValueGenerator.metal */; };
		627D5EC121AE0E4400D65C9D /* SoftenFilter.m in Sources */ = {isa = PBXBuildFile; fileRef = 627D5EC021AE0E4400D65C9D /* SoftenFilter.m */; };
		627D5EC321AE0E5200D65C9D /* SoftenFilter.metal in Sources */ = {isa = PBXBuildFile; fileRef = 627D5EC221AE0E5200D65C9D /* SoftenFilter.metal */; };
		627D5EC821AE10DC00D65C9D /* SharpenFilter.m in Sources */ = {isa = PBXBuildFile; fileRef = 627D5EC721AE10DC00D65C9D /* SharpenFilter.m */; };
		627D5ECA21AE10E500D65C9D /* SharpenFilter.metal in Sources */ = {isa = PBXBuildFile; fileRef = 627D5EC921AE10E500D65C9D /* SharpenFilter.metal */; };
		627D5ECE21AE575C00D65C9D /* BumpFilter.m in Sources */ = {isa = PBXBuildFile; fileRef = 627D5ECD21AE575C00D65C9D /* BumpFilter.m */; };
		627D5ED021AE576B00D65C9D /* BumpFilter.metal in Sources */ = {isa = PBXBuildFile; fileRef = 627D5ECF21AE576B00D65C9D /* BumpFilter.metal */; };
		627D5ED421AE608300D65C9D /* PinchFilter.m in Sources */ = {isa = PBXBuildFile; fileRef = 627D5ED321AE608300D65C9D /* PinchFilter.m */; };
		627D5ED621AE608D00D65C9D /* PinchFilter.metal in Sources */ = {isa = PBXBuildFile; fileRef = 627D5ED521AE608D00D65C9D /* PinchFilter.metal */; };
		627D5EDB21AEA68D00D65C9D /* TwirlFilter.m in Sources */ = {isa = PBXBuildFile; fileRef = 627D5EDA21AEA68D00D65C9D /* TwirlFilter.m */; };
		627D5EDD21AEA69C00D65C9D /* TwirlFilter.metal in Sources */ = {isa = PBXBuildFile; fileRef = 627D5EDC21AEA69C00D65C9D /* TwirlFilter.metal */; };
		627D5EF021AF5AF400D65C9D /* InverseAdjustment.m in Sources */ = {isa = PBXBuildFile; fileRef = 627D5EEF21AF5AF400D65C9D /* InverseAdjustment.m */; };
		627D5EF221AF5AFE00D65C9D /* InverseAdjustment.metal in Sources */ = {isa = PBXBuildFile; fileRef = 627D5EF121AF5AFE00D65C9D /* InverseAdjustment.metal */; };
		627D5EF621AF5F8100D65C9D /* LevelsAdjustment.m in Sources */ = {isa = PBXBuildFile; fileRef = 627D5EF521AF5F8100D65C9D /* LevelsAdjustment.m */; };
		627D5EF821AF5F8B00D65C9D /* LevelsAdjustment.metal in Sources */ = {isa = PBXBuildFile; fileRef = 627D5EF721AF5F8B00D65C9D /* LevelsAdjustment.metal */; };
		627D5EFC21AF640200D65C9D /* PosterizeAdjustment.m in Sources */ = {isa = PBXBuildFile; fileRef = 627D5EFB21AF640200D65C9D /* PosterizeAdjustment.m */; };
		627D5EFE21AF640D00D65C9D /* PosterizeAdjustment.metal in Sources */ = {isa = PBXBuildFile; fileRef = 627D5EFD21AF640D00D65C9D /* PosterizeAdjustment.metal */; };
		62DB38AD21AB7728003AF320 /* AppDelegate.m in Sources */ = {isa = PBXBuildFile; fileRef = 62DB38AC21AB7728003AF320 /* AppDelegate.m */; };
		62DB38B021AB7728003AF320 /* Renderer.m in Sources */ = {isa = PBXBuildFile; fileRef = 62DB38AF21AB7728003AF320 /* Renderer.m */; };
		62DB38B321AB7728003AF320 /* GameViewController.m in Sources */ = {isa = PBXBuildFile; fileRef = 62DB38B221AB7728003AF320 /* GameViewController.m */; };
		62DB38B521AB7728003AF320 /* Shaders.metal in Sources */ = {isa = PBXBuildFile; fileRef = 62DB38B421AB7728003AF320 /* Shaders.metal */; };
		62DB38B821AB7729003AF320 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 62DB38B721AB7729003AF320 /* Assets.xcassets */; };
		62DB38BB21AB7729003AF320 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 62DB38B921AB7729003AF320 /* Main.storyboard */; };
		62DB38BE21AB7729003AF320 /* main.m in Sources */ = {isa = PBXBuildFile; fileRef = 62DB38BD21AB7729003AF320 /* main.m */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		5DC621EC21BAC29A00D72495 /* flow-main.js */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.javascript; path = "flow-main.js"; sourceTree = "<group>"; };
		5DC621ED21BAC29A00D72495 /* flow-node.js */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.javascript; path = "flow-node.js"; sourceTree = "<group>"; };
		5DC621EE21BAC29A00D72495 /* flow-ui.js */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.javascript; path = "flow-ui.js"; sourceTree = "<group>"; };
		5DC621F021BAC29A00D72495 /* flow-widget.js */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.javascript; path = "flow-widget.js"; sourceTree = "<group>"; };
		5DC621F121BAC29B00D72495 /* index.html */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text.html; path = index.html; sourceTree = "<group>"; };
		5DC621F221BAC29B00D72495 /* flow-types.js */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.javascript; path = "flow-types.js"; sourceTree = "<group>"; };
		5DC621F321BAC29B00D72495 /* flow-wire.js */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.javascript; path = "flow-wire.js"; sourceTree = "<group>"; };
		5DC621F621BAC29B00D72495 /* flow.css */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text.css; path = flow.css; sourceTree = "<group>"; };
		5DC6220A21BAC73700D72495 /* GraphViewController.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = GraphViewController.h; sourceTree = "<group>"; };
		5DC6220B21BAC73700D72495 /* GraphViewController.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = GraphViewController.m; sourceTree = "<group>"; };
		6204678E220EBFB200A6438C /* SobelFieldFilter.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = SobelFieldFilter.h; sourceTree = "<group>"; };
		6204678F220EBFB200A6438C /* SobelFieldFilter.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = SobelFieldFilter.m; sourceTree = "<group>"; };
		62046791220EBFCB00A6438C /* SobelFieldFilter.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = SobelFieldFilter.metal; sourceTree = "<group>"; };
		62046793220EC08900A6438C /* SobelFieldFilter_params.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = SobelFieldFilter_params.h; sourceTree = "<group>"; };
		62046794220EC8E100A6438C /* NormalBlurFilter.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = NormalBlurFilter.h; sourceTree = "<group>"; };
		62046795220EC8E100A6438C /* NormalBlurFilter.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = NormalBlurFilter.m; sourceTree = "<group>"; };
		62046797220EC8F900A6438C /* TangentBlurFilter.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = TangentBlurFilter.h; sourceTree = "<group>"; };
		62046798220EC8F900A6438C /* TangentBlurFilter.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = TangentBlurFilter.m; sourceTree = "<group>"; };
		6204679A220EC9C400A6438C /* NormalBlurFilter.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = NormalBlurFilter.metal; sourceTree = "<group>"; };
		6204679C220EC9D800A6438C /* NormalBlurFilter_params.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = NormalBlurFilter_params.h; sourceTree = "<group>"; };
		6204679D220EC9ED00A6438C /* TangentBlurFilter.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = TangentBlurFilter.metal; sourceTree = "<group>"; };
		6204679F220EC9FC00A6438C /* TangentBlurFilter_params.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = TangentBlurFilter_params.h; sourceTree = "<group>"; };
		62405E3221E7D054008E706D /* GraphNode.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = GraphNode.h; sourceTree = "<group>"; };
		62405E3321E7D054008E706D /* GraphNode.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = GraphNode.m; sourceTree = "<group>"; };
		62405E3521E7DA9D008E706D /* ResultGraphNode.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = ResultGraphNode.h; sourceTree = "<group>"; };
		62405E3621E7DA9D008E706D /* ResultGraphNode.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = ResultGraphNode.m; sourceTree = "<group>"; };
		62405E3B21E9E92E008E706D /* TextureEffectFabric.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = TextureEffectFabric.h; sourceTree = "<group>"; };
		62405E3C21E9E92E008E706D /* TextureEffectFabric.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = TextureEffectFabric.m; sourceTree = "<group>"; };
		62405E4021EA0E91008E706D /* AlphaBlendMixer.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = AlphaBlendMixer.h; sourceTree = "<group>"; };
		62405E4121EA0E91008E706D /* AlphaBlendMixer.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = AlphaBlendMixer.m; sourceTree = "<group>"; };
		62405E4321EA0EFD008E706D /* AlphaBlendMixer_params.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = AlphaBlendMixer_params.h; sourceTree = "<group>"; };
		62405E4421EA0F06008E706D /* AlphaBlendMixer.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = AlphaBlendMixer.metal; sourceTree = "<group>"; };
		62405E4621EA385E008E706D /* TransformGraphNode.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = TransformGraphNode.h; sourceTree = "<group>"; };
		62405E4721EA385E008E706D /* TransformGraphNode.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = TransformGraphNode.m; sourceTree = "<group>"; };
		62405E4921EA72A8008E706D /* SliderGraphNode.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = SliderGraphNode.h; sourceTree = "<group>"; };
		62405E4A21EA72A8008E706D /* SliderGraphNode.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = SliderGraphNode.m; sourceTree = "<group>"; };
		624A9F21220F59CB003384C2 /* GradientGenerator.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = GradientGenerator.h; sourceTree = "<group>"; };
		624A9F22220F59CB003384C2 /* GradientGenerator.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = GradientGenerator.m; sourceTree = "<group>"; };
		624A9F24220F5A54003384C2 /* GradientGenerator.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = GradientGenerator.metal; sourceTree = "<group>"; };
		624A9F26220F5A62003384C2 /* GradientGenerator_params.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = GradientGenerator_params.h; sourceTree = "<group>"; };
		624A9F27220F5F3F003384C2 /* xDoGFilter.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = xDoGFilter.h; sourceTree = "<group>"; };
		624A9F28220F5F3F003384C2 /* xDoGFilter.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = xDoGFilter.m; sourceTree = "<group>"; };
		624A9F2A220F5F56003384C2 /* xDoGFilter.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = xDoGFilter.metal; sourceTree = "<group>"; };
		624A9F2C220F5F67003384C2 /* xDoGFilter_params.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = xDoGFilter_params.h; sourceTree = "<group>"; };
		624A9F2D220F654E003384C2 /* GrayscaleAdjustment.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = GrayscaleAdjustment.h; sourceTree = "<group>"; };
		624A9F2E220F654E003384C2 /* GrayscaleAdjustment.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = GrayscaleAdjustment.m; sourceTree = "<group>"; };
		624A9F30220F6563003384C2 /* GrayscaleAdjustment.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = GrayscaleAdjustment.metal; sourceTree = "<group>"; };
		624A9F32220F66D5003384C2 /* ImageGraphNode.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = ImageGraphNode.h; sourceTree = "<group>"; };
		624A9F33220F66D5003384C2 /* ImageGraphNode.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = ImageGraphNode.m; sourceTree = "<group>"; };
		626C83212221C1DE005E02B2 /* LoopNode.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = LoopNode.h; sourceTree = "<group>"; };
		626C83222221C1DE005E02B2 /* LoopNode.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = LoopNode.m; sourceTree = "<group>"; };
		627D5E3521ABCB8600D65C9D /* TextureEffect.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = TextureEffect.h; sourceTree = "<group>"; };
		627D5E3621ABCB8600D65C9D /* TextureEffect.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = TextureEffect.m; sourceTree = "<group>"; };
		627D5E3821ABD68300D65C9D /* TextureEffect.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = TextureEffect.metal; sourceTree = "<group>"; };
		627D5E3A21ABD6B300D65C9D /* TECommon.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = TECommon.metal; sourceTree = "<group>"; };
		627D5E6321ACA46A00D65C9D /* ChessboardGenerator.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = ChessboardGenerator.h; sourceTree = "<group>"; };
		627D5E6421ACA46A00D65C9D /* ChessboardGenerator.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = ChessboardGenerator.m; sourceTree = "<group>"; };
		627D5E6621ACA47E00D65C9D /* ChessboardGenerator.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = ChessboardGenerator.metal; sourceTree = "<group>"; };
		627D5E6821ACB2EA00D65C9D /* ChessboardGenerator_params.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = ChessboardGenerator_params.h; sourceTree = "<group>"; };
		627D5E6D21ACBE0400D65C9D /* ContrastAdjustment.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = ContrastAdjustment.h; sourceTree = "<group>"; };
		627D5E6E21ACBE0400D65C9D /* ContrastAdjustment.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = ContrastAdjustment.m; sourceTree = "<group>"; };
		627D5E7021ACBE2400D65C9D /* ContrastAdjustment.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = ContrastAdjustment.metal; sourceTree = "<group>"; };
		627D5E7221ACBE3900D65C9D /* ContrastAdjustment_params.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = ContrastAdjustment_params.h; sourceTree = "<group>"; };
		627D5E7421ACCA8600D65C9D /* BevelFilter.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = BevelFilter.h; sourceTree = "<group>"; };
		627D5E7521ACCA8600D65C9D /* BevelFilter.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = BevelFilter.m; sourceTree = "<group>"; };
		627D5E7721ACCB4600D65C9D /* BevelFilter.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = BevelFilter.metal; sourceTree = "<group>"; };
		627D5E7921ACCB5200D65C9D /* BevelFilter_params.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = BevelFilter_params.h; sourceTree = "<group>"; };
		627D5E7A21ACD0B000D65C9D /* ValueNoiseGenerator.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = ValueNoiseGenerator.h; sourceTree = "<group>"; };
		627D5E7B21ACD0B000D65C9D /* ValueNoiseGenerator.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = ValueNoiseGenerator.m; sourceTree = "<group>"; };
		627D5E7D21ACD0DC00D65C9D /* ValueNoiseGenerator.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = ValueNoiseGenerator.metal; sourceTree = "<group>"; };
		627D5E7F21ACD0ED00D65C9D /* ValueNoiseGenerator_params.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = ValueNoiseGenerator_params.h; sourceTree = "<group>"; };
		627D5E8921ADF5B200D65C9D /* WhiteNoiseGenerator.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = WhiteNoiseGenerator.h; sourceTree = "<group>"; };
		627D5E8A21ADF5B200D65C9D /* WhiteNoiseGenerator.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = WhiteNoiseGenerator.m; sourceTree = "<group>"; };
		627D5E8C21ADF5BC00D65C9D /* WhiteNoiseGenerator.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = WhiteNoiseGenerator.metal; sourceTree = "<group>"; };
		627D5E8E21ADF5CA00D65C9D /* WhiteNoiseGenerator_params.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = WhiteNoiseGenerator_params.h; sourceTree = "<group>"; };
		627D5E8F21ADF83000D65C9D /* MazeGenerator.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MazeGenerator.h; sourceTree = "<group>"; };
		627D5E9021ADF83000D65C9D /* MazeGenerator.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = MazeGenerator.m; sourceTree = "<group>"; };
		627D5E9221ADF83A00D65C9D /* MazeGenerator.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = MazeGenerator.metal; sourceTree = "<group>"; };
		627D5E9421ADF84500D65C9D /* MazeGenerator_params.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MazeGenerator_params.h; sourceTree = "<group>"; };
		627D5E9521ADF9C700D65C9D /* SplattersGenerator.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = SplattersGenerator.h; sourceTree = "<group>"; };
		627D5E9621ADF9C700D65C9D /* SplattersGenerator.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = SplattersGenerator.m; sourceTree = "<group>"; };
		627D5E9821ADF9D000D65C9D /* SplattersGenerator.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = SplattersGenerator.metal; sourceTree = "<group>"; };
		627D5E9A21ADF9DB00D65C9D /* SplattersGenerator_params.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = SplattersGenerator_params.h; sourceTree = "<group>"; };
		627D5E9B21ADFB9D00D65C9D /* TriangleNoiseGenerator.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = TriangleNoiseGenerator.h; sourceTree = "<group>"; };
		627D5E9C21ADFB9D00D65C9D /* TriangleNoiseGenerator.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = TriangleNoiseGenerator.m; sourceTree = "<group>"; };
		627D5E9E21ADFBBA00D65C9D /* TriangleNoiseGenerator_params.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = TriangleNoiseGenerator_params.h; sourceTree = "<group>"; };
		627D5E9F21ADFBC400D65C9D /* TriangleNoiseGenerator.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = TriangleNoiseGenerator.metal; sourceTree = "<group>"; };
		627D5EA121ADFF0800D65C9D /* PerlinVolumeNoiseGenerator.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = PerlinVolumeNoiseGenerator.h; sourceTree = "<group>"; };
		627D5EA221ADFF0800D65C9D /* PerlinVolumeNoiseGenerator.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = PerlinVolumeNoiseGenerator.m; sourceTree = "<group>"; };
		627D5EA421ADFF1000D65C9D /* PerlinVolumeNoiseGenerator.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = PerlinVolumeNoiseGenerator.metal; sourceTree = "<group>"; };
		627D5EA621ADFF2500D65C9D /* PerlinVolumeNoiseGenerator_params.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = PerlinVolumeNoiseGenerator_params.h; sourceTree = "<group>"; };
		627D5EA721AE074100D65C9D /* SimplexNoiseGenerator.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = SimplexNoiseGenerator.h; sourceTree = "<group>"; };
		627D5EA821AE074100D65C9D /* SimplexNoiseGenerator.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = SimplexNoiseGenerator.m; sourceTree = "<group>"; };
		627D5EAA21AE074A00D65C9D /* SimplexNoiseGenerator.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = SimplexNoiseGenerator.metal; sourceTree = "<group>"; };
		627D5EAC21AE075400D65C9D /* SimplexNoiseGenerator_params.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = SimplexNoiseGenerator_params.h; sourceTree = "<group>"; };
		627D5EAD21AE09BB00D65C9D /* PerlinSimplexNoiseGenerator.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = PerlinSimplexNoiseGenerator.h; sourceTree = "<group>"; };
		627D5EAE21AE09BB00D65C9D /* PerlinSimplexNoiseGenerator.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = PerlinSimplexNoiseGenerator.m; sourceTree = "<group>"; };
		627D5EB021AE09C600D65C9D /* PerlinSimplexNoiseGenerator.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = PerlinSimplexNoiseGenerator.metal; sourceTree = "<group>"; };
		627D5EB221AE09D100D65C9D /* PerlinSimplexNoiseGenerator_params.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = PerlinSimplexNoiseGenerator_params.h; sourceTree = "<group>"; };
		627D5EB921AE0C5E00D65C9D /* ValueGenerator.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = ValueGenerator.h; sourceTree = "<group>"; };
		627D5EBA21AE0C5E00D65C9D /* ValueGenerator.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = ValueGenerator.m; sourceTree = "<group>"; };
		627D5EBC21AE0C6D00D65C9D /* ValueGenerator.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = ValueGenerator.metal; sourceTree = "<group>"; };
		627D5EBE21AE0C7C00D65C9D /* ValueGenerator_params.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = ValueGenerator_params.h; sourceTree = "<group>"; };
		627D5EBF21AE0E4400D65C9D /* SoftenFilter.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = SoftenFilter.h; sourceTree = "<group>"; };
		627D5EC021AE0E4400D65C9D /* SoftenFilter.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = SoftenFilter.m; sourceTree = "<group>"; };
		627D5EC221AE0E5200D65C9D /* SoftenFilter.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = SoftenFilter.metal; sourceTree = "<group>"; };
		627D5EC521AE106100D65C9D /* SoftenFilter_params.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = SoftenFilter_params.h; sourceTree = "<group>"; };
		627D5EC621AE10DC00D65C9D /* SharpenFilter.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = SharpenFilter.h; sourceTree = "<group>"; };
		627D5EC721AE10DC00D65C9D /* SharpenFilter.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = SharpenFilter.m; sourceTree = "<group>"; };
		627D5EC921AE10E500D65C9D /* SharpenFilter.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = SharpenFilter.metal; sourceTree = "<group>"; };
		627D5ECB21AE10EF00D65C9D /* SharpenFilter_params.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = SharpenFilter_params.h; sourceTree = "<group>"; };
		627D5ECC21AE575C00D65C9D /* BumpFilter.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = BumpFilter.h; sourceTree = "<group>"; };
		627D5ECD21AE575C00D65C9D /* BumpFilter.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = BumpFilter.m; sourceTree = "<group>"; };
		627D5ECF21AE576B00D65C9D /* BumpFilter.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = BumpFilter.metal; sourceTree = "<group>"; };
		627D5ED121AE577500D65C9D /* BumpFilter_params.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = BumpFilter_params.h; sourceTree = "<group>"; };
		627D5ED221AE608300D65C9D /* PinchFilter.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = PinchFilter.h; sourceTree = "<group>"; };
		627D5ED321AE608300D65C9D /* PinchFilter.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = PinchFilter.m; sourceTree = "<group>"; };
		627D5ED521AE608D00D65C9D /* PinchFilter.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = PinchFilter.metal; sourceTree = "<group>"; };
		627D5ED721AE609900D65C9D /* PinchFilter_params.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = PinchFilter_params.h; sourceTree = "<group>"; };
		627D5ED921AEA68D00D65C9D /* TwirlFilter.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = TwirlFilter.h; sourceTree = "<group>"; };
		627D5EDA21AEA68D00D65C9D /* TwirlFilter.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = TwirlFilter.m; sourceTree = "<group>"; };
		627D5EDC21AEA69C00D65C9D /* TwirlFilter.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = TwirlFilter.metal; sourceTree = "<group>"; };
		627D5EDE21AEA6B000D65C9D /* TwirlFilter_params.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = TwirlFilter_params.h; sourceTree = "<group>"; };
		627D5EEE21AF5AF400D65C9D /* InverseAdjustment.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = InverseAdjustment.h; sourceTree = "<group>"; };
		627D5EEF21AF5AF400D65C9D /* InverseAdjustment.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = InverseAdjustment.m; sourceTree = "<group>"; };
		627D5EF121AF5AFE00D65C9D /* InverseAdjustment.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = InverseAdjustment.metal; sourceTree = "<group>"; };
		627D5EF321AF5B0800D65C9D /* InverseAdjustment_params.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = InverseAdjustment_params.h; sourceTree = "<group>"; };
		627D5EF421AF5F8100D65C9D /* LevelsAdjustment.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = LevelsAdjustment.h; sourceTree = "<group>"; };
		627D5EF521AF5F8100D65C9D /* LevelsAdjustment.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = LevelsAdjustment.m; sourceTree = "<group>"; };
		627D5EF721AF5F8B00D65C9D /* LevelsAdjustment.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = LevelsAdjustment.metal; sourceTree = "<group>"; };
		627D5EF921AF5F9900D65C9D /* LevelsAdjustment_params.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = LevelsAdjustment_params.h; sourceTree = "<group>"; };
		627D5EFA21AF640200D65C9D /* PosterizeAdjustment.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = PosterizeAdjustment.h; sourceTree = "<group>"; };
		627D5EFB21AF640200D65C9D /* PosterizeAdjustment.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = PosterizeAdjustment.m; sourceTree = "<group>"; };
		627D5EFD21AF640D00D65C9D /* PosterizeAdjustment.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = PosterizeAdjustment.metal; sourceTree = "<group>"; };
		627D5EFF21AF641900D65C9D /* PosterizeAdjustment_params.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = PosterizeAdjustment_params.h; sourceTree = "<group>"; };
		62DB38A821AB7728003AF320 /* ProcTextureGenerator.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = ProcTextureGenerator.app; sourceTree = BUILT_PRODUCTS_DIR; };
		62DB38AB21AB7728003AF320 /* AppDelegate.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = AppDelegate.h; sourceTree = "<group>"; };
		62DB38AC21AB7728003AF320 /* AppDelegate.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = AppDelegate.m; sourceTree = "<group>"; };
		62DB38AE21AB7728003AF320 /* Renderer.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = Renderer.h; sourceTree = "<group>"; };
		62DB38AF21AB7728003AF320 /* Renderer.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = Renderer.m; sourceTree = "<group>"; };
		62DB38B121AB7728003AF320 /* GameViewController.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = GameViewController.h; sourceTree = "<group>"; };
		62DB38B221AB7728003AF320 /* GameViewController.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = GameViewController.m; sourceTree = "<group>"; };
		62DB38B421AB7728003AF320 /* Shaders.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = Shaders.metal; sourceTree = "<group>"; };
		62DB38B621AB7728003AF320 /* ShaderTypes.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = ShaderTypes.h; sourceTree = "<group>"; };
		62DB38B721AB7729003AF320 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		62DB38BA21AB7729003AF320 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		62DB38BC21AB7729003AF320 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		62DB38BD21AB7729003AF320 /* main.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = main.m; sourceTree = "<group>"; };
		62DB38BF21AB7729003AF320 /* ProcTextureGenerator.entitlements */ = {isa = PBXFileReference; lastKnownFileType = text.plist.entitlements; path = ProcTextureGenerator.entitlements; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		62DB38A521AB7728003AF320 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		5DC621EB21BAC29A00D72495 /* flow */ = {
			isa = PBXGroup;
			children = (
				5DC621EC21BAC29A00D72495 /* flow-main.js */,
				5DC621ED21BAC29A00D72495 /* flow-node.js */,
				5DC621EE21BAC29A00D72495 /* flow-ui.js */,
				5DC621F021BAC29A00D72495 /* flow-widget.js */,
				5DC621F121BAC29B00D72495 /* index.html */,
				5DC621F221BAC29B00D72495 /* flow-types.js */,
				5DC621F321BAC29B00D72495 /* flow-wire.js */,
				5DC621F621BAC29B00D72495 /* flow.css */,
			);
			path = flow;
			sourceTree = "<group>";
		};
		5DC6220421BAC35900D72495 /* Graph */ = {
			isa = PBXGroup;
			children = (
				62405E3E21E9FCDA008E706D /* Nodes */,
				5DC621EB21BAC29A00D72495 /* flow */,
				5DC6220A21BAC73700D72495 /* GraphViewController.h */,
				5DC6220B21BAC73700D72495 /* GraphViewController.m */,
				62405E3221E7D054008E706D /* GraphNode.h */,
				62405E3321E7D054008E706D /* GraphNode.m */,
			);
			path = Graph;
			sourceTree = "<group>";
		};
		5DC6220821BAC69C00D72495 /* Processing */ = {
			isa = PBXGroup;
			children = (
				62DB38AE21AB7728003AF320 /* Renderer.h */,
				62DB38AF21AB7728003AF320 /* Renderer.m */,
				62DB38B121AB7728003AF320 /* GameViewController.h */,
				62DB38B221AB7728003AF320 /* GameViewController.m */,
				62DB38B421AB7728003AF320 /* Shaders.metal */,
				62DB38B621AB7728003AF320 /* ShaderTypes.h */,
			);
			path = Processing;
			sourceTree = "<group>";
		};
		62405E3E21E9FCDA008E706D /* Nodes */ = {
			isa = PBXGroup;
			children = (
				62405E3521E7DA9D008E706D /* ResultGraphNode.h */,
				62405E3621E7DA9D008E706D /* ResultGraphNode.m */,
				62405E4621EA385E008E706D /* TransformGraphNode.h */,
				62405E4721EA385E008E706D /* TransformGraphNode.m */,
				62405E4921EA72A8008E706D /* SliderGraphNode.h */,
				62405E4A21EA72A8008E706D /* SliderGraphNode.m */,
				624A9F32220F66D5003384C2 /* ImageGraphNode.h */,
				624A9F33220F66D5003384C2 /* ImageGraphNode.m */,
				626C83212221C1DE005E02B2 /* LoopNode.h */,
				626C83222221C1DE005E02B2 /* LoopNode.m */,
			);
			path = Nodes;
			sourceTree = "<group>";
		};
		62405E3F21EA0E59008E706D /* Mix */ = {
			isa = PBXGroup;
			children = (
				62405E4021EA0E91008E706D /* AlphaBlendMixer.h */,
				62405E4121EA0E91008E706D /* AlphaBlendMixer.m */,
				62405E4421EA0F06008E706D /* AlphaBlendMixer.metal */,
				62405E4321EA0EFD008E706D /* AlphaBlendMixer_params.h */,
			);
			path = Mix;
			sourceTree = "<group>";
		};
		627D5E3421ABCAF300D65C9D /* Effects */ = {
			isa = PBXGroup;
			children = (
				62405E3F21EA0E59008E706D /* Mix */,
				627D5E7321ACC85200D65C9D /* Filters */,
				627D5E6C21ACBDE000D65C9D /* Adjustments */,
				627D5E6221ACA44F00D65C9D /* Generators */,
				627D5E3521ABCB8600D65C9D /* TextureEffect.h */,
				627D5E3621ABCB8600D65C9D /* TextureEffect.m */,
				627D5E3821ABD68300D65C9D /* TextureEffect.metal */,
				627D5E3A21ABD6B300D65C9D /* TECommon.metal */,
				62405E3B21E9E92E008E706D /* TextureEffectFabric.h */,
				62405E3C21E9E92E008E706D /* TextureEffectFabric.m */,
			);
			path = Effects;
			sourceTree = "<group>";
		};
		627D5E6221ACA44F00D65C9D /* Generators */ = {
			isa = PBXGroup;
			children = (
				627D5E6321ACA46A00D65C9D /* ChessboardGenerator.h */,
				627D5E6421ACA46A00D65C9D /* ChessboardGenerator.m */,
				627D5E6621ACA47E00D65C9D /* ChessboardGenerator.metal */,
				627D5E6821ACB2EA00D65C9D /* ChessboardGenerator_params.h */,
				627D5E7A21ACD0B000D65C9D /* ValueNoiseGenerator.h */,
				627D5E7B21ACD0B000D65C9D /* ValueNoiseGenerator.m */,
				627D5E7D21ACD0DC00D65C9D /* ValueNoiseGenerator.metal */,
				627D5E7F21ACD0ED00D65C9D /* ValueNoiseGenerator_params.h */,
				627D5E8921ADF5B200D65C9D /* WhiteNoiseGenerator.h */,
				627D5E8A21ADF5B200D65C9D /* WhiteNoiseGenerator.m */,
				627D5E8C21ADF5BC00D65C9D /* WhiteNoiseGenerator.metal */,
				627D5E8E21ADF5CA00D65C9D /* WhiteNoiseGenerator_params.h */,
				627D5E8F21ADF83000D65C9D /* MazeGenerator.h */,
				627D5E9021ADF83000D65C9D /* MazeGenerator.m */,
				627D5E9221ADF83A00D65C9D /* MazeGenerator.metal */,
				627D5E9421ADF84500D65C9D /* MazeGenerator_params.h */,
				627D5E9521ADF9C700D65C9D /* SplattersGenerator.h */,
				627D5E9621ADF9C700D65C9D /* SplattersGenerator.m */,
				627D5E9821ADF9D000D65C9D /* SplattersGenerator.metal */,
				627D5E9A21ADF9DB00D65C9D /* SplattersGenerator_params.h */,
				627D5E9B21ADFB9D00D65C9D /* TriangleNoiseGenerator.h */,
				627D5E9C21ADFB9D00D65C9D /* TriangleNoiseGenerator.m */,
				627D5E9F21ADFBC400D65C9D /* TriangleNoiseGenerator.metal */,
				627D5E9E21ADFBBA00D65C9D /* TriangleNoiseGenerator_params.h */,
				627D5EA121ADFF0800D65C9D /* PerlinVolumeNoiseGenerator.h */,
				627D5EA221ADFF0800D65C9D /* PerlinVolumeNoiseGenerator.m */,
				627D5EA421ADFF1000D65C9D /* PerlinVolumeNoiseGenerator.metal */,
				627D5EA621ADFF2500D65C9D /* PerlinVolumeNoiseGenerator_params.h */,
				627D5EA721AE074100D65C9D /* SimplexNoiseGenerator.h */,
				627D5EA821AE074100D65C9D /* SimplexNoiseGenerator.m */,
				627D5EAA21AE074A00D65C9D /* SimplexNoiseGenerator.metal */,
				627D5EAC21AE075400D65C9D /* SimplexNoiseGenerator_params.h */,
				627D5EAD21AE09BB00D65C9D /* PerlinSimplexNoiseGenerator.h */,
				627D5EAE21AE09BB00D65C9D /* PerlinSimplexNoiseGenerator.m */,
				627D5EB021AE09C600D65C9D /* PerlinSimplexNoiseGenerator.metal */,
				627D5EB221AE09D100D65C9D /* PerlinSimplexNoiseGenerator_params.h */,
				627D5EB921AE0C5E00D65C9D /* ValueGenerator.h */,
				627D5EBA21AE0C5E00D65C9D /* ValueGenerator.m */,
				627D5EBC21AE0C6D00D65C9D /* ValueGenerator.metal */,
				627D5EBE21AE0C7C00D65C9D /* ValueGenerator_params.h */,
				624A9F21220F59CB003384C2 /* GradientGenerator.h */,
				624A9F22220F59CB003384C2 /* GradientGenerator.m */,
				624A9F24220F5A54003384C2 /* GradientGenerator.metal */,
				624A9F26220F5A62003384C2 /* GradientGenerator_params.h */,
			);
			path = Generators;
			sourceTree = "<group>";
		};
		627D5E6C21ACBDE000D65C9D /* Adjustments */ = {
			isa = PBXGroup;
			children = (
				627D5E6D21ACBE0400D65C9D /* ContrastAdjustment.h */,
				627D5E6E21ACBE0400D65C9D /* ContrastAdjustment.m */,
				627D5E7021ACBE2400D65C9D /* ContrastAdjustment.metal */,
				627D5E7221ACBE3900D65C9D /* ContrastAdjustment_params.h */,
				627D5EEE21AF5AF400D65C9D /* InverseAdjustment.h */,
				627D5EEF21AF5AF400D65C9D /* InverseAdjustment.m */,
				627D5EF121AF5AFE00D65C9D /* InverseAdjustment.metal */,
				627D5EF321AF5B0800D65C9D /* InverseAdjustment_params.h */,
				627D5EF421AF5F8100D65C9D /* LevelsAdjustment.h */,
				627D5EF521AF5F8100D65C9D /* LevelsAdjustment.m */,
				627D5EF721AF5F8B00D65C9D /* LevelsAdjustment.metal */,
				627D5EF921AF5F9900D65C9D /* LevelsAdjustment_params.h */,
				627D5EFA21AF640200D65C9D /* PosterizeAdjustment.h */,
				627D5EFB21AF640200D65C9D /* PosterizeAdjustment.m */,
				627D5EFD21AF640D00D65C9D /* PosterizeAdjustment.metal */,
				627D5EFF21AF641900D65C9D /* PosterizeAdjustment_params.h */,
				624A9F2D220F654E003384C2 /* GrayscaleAdjustment.h */,
				624A9F2E220F654E003384C2 /* GrayscaleAdjustment.m */,
				624A9F30220F6563003384C2 /* GrayscaleAdjustment.metal */,
			);
			path = Adjustments;
			sourceTree = "<group>";
		};
		627D5E7321ACC85200D65C9D /* Filters */ = {
			isa = PBXGroup;
			children = (
				627D5E7421ACCA8600D65C9D /* BevelFilter.h */,
				627D5E7521ACCA8600D65C9D /* BevelFilter.m */,
				627D5E7721ACCB4600D65C9D /* BevelFilter.metal */,
				627D5E7921ACCB5200D65C9D /* BevelFilter_params.h */,
				627D5EBF21AE0E4400D65C9D /* SoftenFilter.h */,
				627D5EC021AE0E4400D65C9D /* SoftenFilter.m */,
				627D5EC221AE0E5200D65C9D /* SoftenFilter.metal */,
				627D5EC521AE106100D65C9D /* SoftenFilter_params.h */,
				627D5EC621AE10DC00D65C9D /* SharpenFilter.h */,
				627D5EC721AE10DC00D65C9D /* SharpenFilter.m */,
				627D5EC921AE10E500D65C9D /* SharpenFilter.metal */,
				627D5ECB21AE10EF00D65C9D /* SharpenFilter_params.h */,
				627D5ECC21AE575C00D65C9D /* BumpFilter.h */,
				627D5ECD21AE575C00D65C9D /* BumpFilter.m */,
				627D5ECF21AE576B00D65C9D /* BumpFilter.metal */,
				627D5ED121AE577500D65C9D /* BumpFilter_params.h */,
				627D5ED221AE608300D65C9D /* PinchFilter.h */,
				627D5ED321AE608300D65C9D /* PinchFilter.m */,
				627D5ED521AE608D00D65C9D /* PinchFilter.metal */,
				627D5ED721AE609900D65C9D /* PinchFilter_params.h */,
				627D5ED921AEA68D00D65C9D /* TwirlFilter.h */,
				627D5EDA21AEA68D00D65C9D /* TwirlFilter.m */,
				627D5EDC21AEA69C00D65C9D /* TwirlFilter.metal */,
				627D5EDE21AEA6B000D65C9D /* TwirlFilter_params.h */,
				6204678E220EBFB200A6438C /* SobelFieldFilter.h */,
				6204678F220EBFB200A6438C /* SobelFieldFilter.m */,
				62046791220EBFCB00A6438C /* SobelFieldFilter.metal */,
				62046793220EC08900A6438C /* SobelFieldFilter_params.h */,
				62046794220EC8E100A6438C /* NormalBlurFilter.h */,
				62046795220EC8E100A6438C /* NormalBlurFilter.m */,
				6204679A220EC9C400A6438C /* NormalBlurFilter.metal */,
				6204679C220EC9D800A6438C /* NormalBlurFilter_params.h */,
				62046797220EC8F900A6438C /* TangentBlurFilter.h */,
				62046798220EC8F900A6438C /* TangentBlurFilter.m */,
				6204679D220EC9ED00A6438C /* TangentBlurFilter.metal */,
				6204679F220EC9FC00A6438C /* TangentBlurFilter_params.h */,
				624A9F27220F5F3F003384C2 /* xDoGFilter.h */,
				624A9F28220F5F3F003384C2 /* xDoGFilter.m */,
				624A9F2A220F5F56003384C2 /* xDoGFilter.metal */,
				624A9F2C220F5F67003384C2 /* xDoGFilter_params.h */,
			);
			path = Filters;
			sourceTree = "<group>";
		};
		62DB389F21AB7728003AF320 = {
			isa = PBXGroup;
			children = (
				62DB38AA21AB7728003AF320 /* ProcTextureGenerator */,
				62DB38A921AB7728003AF320 /* Products */,
			);
			sourceTree = "<group>";
		};
		62DB38A921AB7728003AF320 /* Products */ = {
			isa = PBXGroup;
			children = (
				62DB38A821AB7728003AF320 /* ProcTextureGenerator.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		62DB38AA21AB7728003AF320 /* ProcTextureGenerator */ = {
			isa = PBXGroup;
			children = (
				5DC6220821BAC69C00D72495 /* Processing */,
				5DC6220421BAC35900D72495 /* Graph */,
				627D5E3421ABCAF300D65C9D /* Effects */,
				62DB38AB21AB7728003AF320 /* AppDelegate.h */,
				62DB38AC21AB7728003AF320 /* AppDelegate.m */,
				62DB38B721AB7729003AF320 /* Assets.xcassets */,
				62DB38B921AB7729003AF320 /* Main.storyboard */,
				62DB38BC21AB7729003AF320 /* Info.plist */,
				62DB38BD21AB7729003AF320 /* main.m */,
				62DB38BF21AB7729003AF320 /* ProcTextureGenerator.entitlements */,
			);
			path = ProcTextureGenerator;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		62DB38A721AB7728003AF320 /* ProcTextureGenerator */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 62DB38C221AB7729003AF320 /* Build configuration list for PBXNativeTarget "ProcTextureGenerator" */;
			buildPhases = (
				62DB38A421AB7728003AF320 /* Sources */,
				62DB38A521AB7728003AF320 /* Frameworks */,
				62DB38A621AB7728003AF320 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = ProcTextureGenerator;
			productName = ProcTextureGenerator;
			productReference = 62DB38A821AB7728003AF320 /* ProcTextureGenerator.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		62DB38A021AB7728003AF320 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastUpgradeCheck = 1130;
				ORGANIZATIONNAME = "George Ostrobrod";
				TargetAttributes = {
					62DB38A721AB7728003AF320 = {
						CreatedOnToolsVersion = 10.1;
						SystemCapabilities = {
							com.apple.Sandbox = {
								enabled = 0;
							};
						};
					};
				};
			};
			buildConfigurationList = 62DB38A321AB7728003AF320 /* Build configuration list for PBXProject "ProcTextureGenerator" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 62DB389F21AB7728003AF320;
			productRefGroup = 62DB38A921AB7728003AF320 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				62DB38A721AB7728003AF320 /* ProcTextureGenerator */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		62DB38A621AB7728003AF320 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				5DC621FF21BAC29B00D72495 /* flow-wire.js in Resources */,
				5DC621F821BAC29B00D72495 /* flow-main.js in Resources */,
				5DC621FE21BAC29B00D72495 /* flow-types.js in Resources */,
				5DC6220221BAC29B00D72495 /* flow.css in Resources */,
				62DB38B821AB7729003AF320 /* Assets.xcassets in Resources */,
				5DC621FC21BAC29B00D72495 /* flow-widget.js in Resources */,
				5DC621F921BAC29B00D72495 /* flow-node.js in Resources */,
				5DC621FD21BAC29B00D72495 /* index.html in Resources */,
				5DC621FA21BAC29B00D72495 /* flow-ui.js in Resources */,
				62DB38BB21AB7729003AF320 /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		62DB38A421AB7728003AF320 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				627D5ED621AE608D00D65C9D /* PinchFilter.metal in Sources */,
				624A9F34220F66D5003384C2 /* ImageGraphNode.m in Sources */,
				627D5EC321AE0E5200D65C9D /* SoftenFilter.metal in Sources */,
				627D5E6F21ACBE0400D65C9D /* ContrastAdjustment.m in Sources */,
				62405E4221EA0E91008E706D /* AlphaBlendMixer.m in Sources */,
				627D5EF821AF5F8B00D65C9D /* LevelsAdjustment.metal in Sources */,
				627D5E8B21ADF5B200D65C9D /* WhiteNoiseGenerator.m in Sources */,
				627D5EA921AE074100D65C9D /* SimplexNoiseGenerator.m in Sources */,
				627D5E3721ABCB8600D65C9D /* TextureEffect.m in Sources */,
				627D5ED021AE576B00D65C9D /* BumpFilter.metal in Sources */,
				627D5EFE21AF640D00D65C9D /* PosterizeAdjustment.metal in Sources */,
				627D5E7C21ACD0B000D65C9D /* ValueNoiseGenerator.m in Sources */,
				627D5E3B21ABD6B300D65C9D /* TECommon.metal in Sources */,
				627D5EFC21AF640200D65C9D /* PosterizeAdjustment.m in Sources */,
				627D5EF621AF5F8100D65C9D /* LevelsAdjustment.m in Sources */,
				627D5E9121ADF83000D65C9D /* MazeGenerator.m in Sources */,
				62DB38BE21AB7729003AF320 /* main.m in Sources */,
				627D5EAF21AE09BB00D65C9D /* PerlinSimplexNoiseGenerator.m in Sources */,
				627D5E6721ACA47E00D65C9D /* ChessboardGenerator.metal in Sources */,
				627D5EA021ADFBC400D65C9D /* TriangleNoiseGenerator.metal in Sources */,
				627D5E8D21ADF5BC00D65C9D /* WhiteNoiseGenerator.metal in Sources */,
				627D5ECA21AE10E500D65C9D /* SharpenFilter.metal in Sources */,
				627D5ECE21AE575C00D65C9D /* BumpFilter.m in Sources */,
				627D5EBB21AE0C5E00D65C9D /* ValueGenerator.m in Sources */,
				627D5EB121AE09C600D65C9D /* PerlinSimplexNoiseGenerator.metal in Sources */,
				62405E4521EA0F06008E706D /* AlphaBlendMixer.metal in Sources */,
				627D5E3921ABD68300D65C9D /* TextureEffect.metal in Sources */,
				62DB38B521AB7728003AF320 /* Shaders.metal in Sources */,
				62DB38B021AB7728003AF320 /* Renderer.m in Sources */,
				62046790220EBFB200A6438C /* SobelFieldFilter.m in Sources */,
				627D5EBD21AE0C6D00D65C9D /* ValueGenerator.metal in Sources */,
				62405E4821EA385E008E706D /* TransformGraphNode.m in Sources */,
				627D5E9321ADF83A00D65C9D /* MazeGenerator.metal in Sources */,
				624A9F23220F59CB003384C2 /* GradientGenerator.m in Sources */,
				627D5E9D21ADFB9D00D65C9D /* TriangleNoiseGenerator.m in Sources */,
				6204679B220EC9C400A6438C /* NormalBlurFilter.metal in Sources */,
				627D5E7121ACBE2400D65C9D /* ContrastAdjustment.metal in Sources */,
				62046799220EC8F900A6438C /* TangentBlurFilter.m in Sources */,
				624A9F2B220F5F56003384C2 /* xDoGFilter.metal in Sources */,
				627D5EC821AE10DC00D65C9D /* SharpenFilter.m in Sources */,
				627D5EA521ADFF1000D65C9D /* PerlinVolumeNoiseGenerator.metal in Sources */,
				627D5EF221AF5AFE00D65C9D /* InverseAdjustment.metal in Sources */,
				627D5EDB21AEA68D00D65C9D /* TwirlFilter.m in Sources */,
				624A9F29220F5F3F003384C2 /* xDoGFilter.m in Sources */,
				627D5E9721ADF9C700D65C9D /* SplattersGenerator.m in Sources */,
				627D5E7821ACCB4600D65C9D /* BevelFilter.metal in Sources */,
				624A9F2F220F654E003384C2 /* GrayscaleAdjustment.m in Sources */,
				62405E3D21E9E92E008E706D /* TextureEffectFabric.m in Sources */,
				627D5E6521ACA46A00D65C9D /* ChessboardGenerator.m in Sources */,
				624A9F25220F5A54003384C2 /* GradientGenerator.metal in Sources */,
				62405E3421E7D054008E706D /* GraphNode.m in Sources */,
				627D5E7E21ACD0DC00D65C9D /* ValueNoiseGenerator.metal in Sources */,
				627D5EA321ADFF0800D65C9D /* PerlinVolumeNoiseGenerator.m in Sources */,
				627D5ED421AE608300D65C9D /* PinchFilter.m in Sources */,
				62DB38B321AB7728003AF320 /* GameViewController.m in Sources */,
				627D5EAB21AE074A00D65C9D /* SimplexNoiseGenerator.metal in Sources */,
				62405E3721E7DA9D008E706D /* ResultGraphNode.m in Sources */,
				62DB38AD21AB7728003AF320 /* AppDelegate.m in Sources */,
				627D5EC121AE0E4400D65C9D /* SoftenFilter.m in Sources */,
				627D5E7621ACCA8600D65C9D /* BevelFilter.m in Sources */,
				627D5EDD21AEA69C00D65C9D /* TwirlFilter.metal in Sources */,
				624A9F31220F6563003384C2 /* GrayscaleAdjustment.metal in Sources */,
				627D5EF021AF5AF400D65C9D /* InverseAdjustment.m in Sources */,
				62046792220EBFCB00A6438C /* SobelFieldFilter.metal in Sources */,
				627D5E9921ADF9D000D65C9D /* SplattersGenerator.metal in Sources */,
				626C83232221C1DE005E02B2 /* LoopNode.m in Sources */,
				62046796220EC8E100A6438C /* NormalBlurFilter.m in Sources */,
				5DC6220C21BAC73700D72495 /* GraphViewController.m in Sources */,
				6204679E220EC9ED00A6438C /* TangentBlurFilter.metal in Sources */,
				62405E4B21EA72A8008E706D /* SliderGraphNode.m in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		62DB38B921AB7729003AF320 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				62DB38BA21AB7729003AF320 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		62DB38C021AB7729003AF320 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "Mac Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				MACOSX_DEPLOYMENT_TARGET = 10.14;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = macosx;
			};
			name = Debug;
		};
		62DB38C121AB7729003AF320 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "Mac Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				MACOSX_DEPLOYMENT_TARGET = 10.14;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = macosx;
			};
			name = Release;
		};
		62DB38C321AB7729003AF320 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_ENTITLEMENTS = ProcTextureGenerator/ProcTextureGenerator.entitlements;
				CODE_SIGN_IDENTITY = "-";
				CODE_SIGN_STYLE = Automatic;
				COMBINE_HIDPI_IMAGES = YES;
				DEVELOPMENT_TEAM = 76BY3HE3G2;
				INFOPLIST_FILE = ProcTextureGenerator/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/../Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.wdfgeorge.ProcTextureGenerator;
				PRODUCT_NAME = "$(TARGET_NAME)";
			};
			name = Debug;
		};
		62DB38C421AB7729003AF320 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_ENTITLEMENTS = ProcTextureGenerator/ProcTextureGenerator.entitlements;
				CODE_SIGN_IDENTITY = "-";
				CODE_SIGN_STYLE = Automatic;
				COMBINE_HIDPI_IMAGES = YES;
				DEVELOPMENT_TEAM = 76BY3HE3G2;
				INFOPLIST_FILE = ProcTextureGenerator/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/../Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.wdfgeorge.ProcTextureGenerator;
				PRODUCT_NAME = "$(TARGET_NAME)";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		62DB38A321AB7728003AF320 /* Build configuration list for PBXProject "ProcTextureGenerator" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				62DB38C021AB7729003AF320 /* Debug */,
				62DB38C121AB7729003AF320 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		62DB38C221AB7729003AF320 /* Build configuration list for PBXNativeTarget "ProcTextureGenerator" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				62DB38C321AB7729003AF320 /* Debug */,
				62DB38C421AB7729003AF320 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 62DB38A021AB7728003AF320 /* Project object */;
}
